package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.WxActivity;
import com.iformall.domain.po.WxActivityJoin;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author gongbiao
 */
public interface WxActivityJoinService {

    PageInfo<WxActivityJoin> listAsPage(WxActivityJoin wxActivityJoin, Integer pageNum, Integer pageSize);

    ResultData modifyStatus(WxActivityJoin wxActivityJoin);

    void exportData(HttpServletRequest request, HttpServletResponse response, WxActivityJoin wxActivityJoin);

    ResultData queryJoinInfo(WxActivityJoin wxActivityJoin);

    ResultData sendMsg(WxActivityJoin wxActivityJoin);

    PageInfo<WxActivity> clistAsPage(WxActivityJoin wxActivityJoin, Integer pageNum, Integer pageSize);

    ResultData join(WxActivityJoin wxActivityJoin);

    ResultData sign(WxActivityJoin wxActivityJoin);

}
